import { jsx } from "react/jsx-runtime";
import { FlowArrow as FlowArrow$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FlowArrow = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FlowArrow", ...props, children: /* @__PURE__ */ jsx(FlowArrow$1, { weight: variant }) });
  }
);
FlowArrow.displayName = "FlowArrow";
Object.assign(FlowArrow, { isGdsIcon: true });
export {
  FlowArrow
};
